SSH (Template)
2 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getSshSettingTemplate | GET | Get SSH template setting |
| updateSshSettingTemplate | PUT | Modify SSH template setting |
getSshSettingTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/ssh
Get SSH template setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
json
// omada_call_operation
{
"operationId": "getSshSettingTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get SSH template setting
The interface requires one of the permissions:
Global Site Template Manager View Only
updateSshSettingTemplate
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/ssh
Modify SSH template setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema SSHSetting
| Field | Type | Required | Description |
|---|---|---|---|
sshEnable | boolean | yes | Whether to enable SSH |
sshServerPort | integer | no | SSH server port should be 22 or within the range of 1025-65535. |
layer3Access | boolean | no | Whether to enable layer 3 accessibility |
json
// omada_call_operation
{
"operationId": "updateSshSettingTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify SSH template setting
The interface requires one of the permissions:
Global Site Template Manager Modify